Bug 1972631 - OVN bug causing subports to stay DOWN fails installations
Summary: OVN bug causing subports to stay DOWN fails installations
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.8
Hardware: All
OS: All
urgent
urgent
Target Milestone: ---
: 4.7.z
Assignee: Michał Dulko
QA Contact: Itzik Brown
URL:
Whiteboard:
Depends On: 1969397
Blocks: 1975676
TreeView+ depends on / blocked
 
Reported: 2021-06-16 10:55 UTC by Michał Dulko
Modified: 2021-07-06 11:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1969397
: 1975676 (view as bug list)
Environment:
Last Closed: 2021-07-06 11:38:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift kuryr-kubernetes pull 525 0 None open Bug 1972631: Workaround OVN bug causing subports to be DOWN 2021-06-17 15:53:38 UTC
Red Hat Product Errata RHBA-2021:2554 0 None None None 2021-07-06 11:39:14 UTC

Comment 3 Itzik Brown 2021-07-01 10:08:12 UTC
Checked with:
OSP RHOS-16.2-RHEL-8-20210426.n.0
OCP 4.7.0-0.nightly-2021-06-26-014854

Saw the following in the kuryr controller logs:
2021-07-01 09:42:22.159 1 WARNING kuryr_kubernetes.controller.drivers.nested_vlan_vif [-] Subport 3a4d92b1-8864-466f-8767-c2fe7c916cdf is in DOWN status for more than 128 seconds. This is a Neutron issue. Attempting to reattach the subport to trunk fcbaed57-dc02-4255-ad4f-54ef6581e7ee using VLAN ID 2097 to fix it.: kuryr_kubernetes.exceptions.ResourceNotReady: Resource not ready: VIFVlanNested(active=False,address=fa:16:3e:97:fe:9b,has_traffic_filtering=False,id=3a4d92b1-8864-466f-8767-c2fe7c916cdf,network=Network(9038f64e-28c3-4764-85ff-74f8d4ab38b6),plugin='noop',port_profile=<?>,preserve_on_delete=False,vif_name='tap3a4d92b1-88',vlan_id=2097)

Also ran:
$ openstack port list --os-cloud standalone_openshift --device-owner "trunk:subport" -f value | grep DOWN
6e45a844-00a9-4599-a4df-69e6d4679a38  fa:16:3e:a3:52:4a [{'subnet_id': '5dc64227-1f19-4bda-85e6-8a12ef36aabb', 'ip_address': '10.128.30.245'}] DOWN
c64a7f77-778e-452a-919f-88ba50718a33  fa:16:3e:32:ca:76 [{'subnet_id': '6d8fb2c2-c392-48b4-bb4d-c180cb9d52de', 'ip_address': '10.128.89.133'}] DOWN
cda87aa9-c6dd-49d2-a31b-bbe7096f3e57  fa:16:3e:ce:dd:4e [{'subnet_id': '6d8fb2c2-c392-48b4-bb4d-c180cb9d52de', 'ip_address': '10.128.89.181'}] DOWN
d3249478-92b7-4212-a8c3-289998519112

Comment 5 errata-xmlrpc 2021-07-06 11:38:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.7.19 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:2554


Note You need to log in before you can comment on or make changes to this bug.